<div class="row">
    <div class="modal-body col-6" *ngIf="candidateData">
        <div class="modal-header">
            <!-- <a class="nav-link d-inline-block p-2" routerLink="/customer/my-applications"><i class="bi bi-arrow-left fs-5"></i></a> -->
            <span class="fs-4 fw-semibold">{{'humanresources.dateBT' | translate}} № {{candidateData?.applicationId}}</span>
        </div>
        <div class="mt-2">
            <div>
            <span class="fs-6 fw-semibold">{{candidateData?.destination}}</span>
            <span class="d-block mb-3">{{candidateData?.purpose}}</span>
            <span class="text-muted"><i class="bi bi-calendar"></i> {{candidateData?.startDate | date: 'dd.MM.yyyy'}}</span> -
            <span class="text-muted">{{candidateData?.finishDate | date: 'dd.MM.yyyy'}}</span>
            <span class="d-block text-muted my-2"><i class="bi bi-box"></i> {{candidateData?.period + ' дней'}}</span>
        </div>
        <div>
            <span class="fs-6 fw-semibold d-block mb-2">{{'humanresources.employees' | translate}}</span>
            <ul class="border-bottom" *ngFor="let item of candidateData?.user">
                <li class="mb-2">
                    <span class="text-muted me-3">{{'humanresources.fullname' | translate}}</span>
                    <span>{{getFullName(item)}}</span>
                </li>
    
                <li class="mb-2" *ngIf="item?.login">
                    <span class="text-muted me-3">ИИН</span>
                    <span>{{item?.login}}</span>
                </li>
                <li class="mb-2" *ngIf="item?.employeeDTO?.serviceGroup?.name">
                    <span class="text-muted me-3">{{'humanresources.post' | translate}}</span>
                    <span>{{item?.employeeDTO?.serviceGroup?.name}}</span>
                </li>
            </ul>
        </div>
        </div>
        <div class="col-9 d-flex justify-content-evenly me-3">
            <button class="btn btn-dark p-1
            " *ngIf="permission?.SendApplication" (click)="openAction(action)">{{'humanresources.action' | translate}}</button>
            <button class="btn btn-dark" *ngIf="permission?.ManageApplication" (click)="accept()">{{'humanresources.assign' | translate}}</button>
            <button class="btn btn-outline-secondary p-1" *ngIf="permission?.ManageApplication" (click)="cancel()">{{'humanresources.cancel' | translate}}</button>
        </div>
    </div>
        <div class="col-3 d-flex flex-column">
            <div class="d-flex flex-column">
                <div>
                    <div class="d-flex lh-lg" *ngFor="let step of progress; let last = last">
                        <span class="fs-5 d-block progressbar"><i [class.text-primary]="last" class="bi bi-stop-circle-fill me-2 d-block icon"></i><span class="indicator" [class.d-none]="last"></span></span>
                        <span class="pb-1 small">{{step?.name}}</span>
                    </div>
                    
                </div>
            </div>
            <div class="mt-auto mx-auto" *ngIf="permission?.CreateConclusion">
                <a class="fs-2" (click)="openConclusion(conclusion)"><i class="bi bi-plus-circle-dotted"></i></a>
            </div>
    </div>
    <app-empty-list *ngIf="!candidateData"></app-empty-list>
    
    <ng-template let-model #conclusion>
        <div class="card">
            <div class="card-header">
              <span class="fs-4">{{'humanresources.attachConclusion' | translate}}</span>
              <button class="btn-close float-end my-auto" (click)="close()"></button>
            </div>
            <div class="card-body">
                <form [formGroup]="form" (ngSubmit)="submit()">
                    <div class="d-flex">
                        <div class="form-check me-3">
                            <input type="radio" class="form-check-input" value="1" name="status" formControlName="status">
                            <label class="form-check-label">{{'humanresources.approve' | translate}}</label>
                        </div>
                        <!-- <div class="form-check me-3">
                            <input type="radio" class="form-check-input" value="2" name="status" formControlName="status">
                            <label class="form-check-label">На доработку</label>
                        </div> -->
                        <div class="form-check me-3">
                            <input type="radio" class="form-check-input" value="3" name="status" formControlName="status">
                            <label class="form-check-label">{{'humanresources.cancel' | translate}}</label>
                        </div>
                    </div>
                    <div class="form-floating mt-3">
                        <textarea class="form-control" id="floatingTextarea" style="height: 100px" formControlName="comment"></textarea>
                        <label for="floatingTextarea">{{'humanresources.comment' | translate}}</label>
                      </div>
                    <div class="mt-5">
                        <button class="btn btn-dark" type="submit" [disabled]="!form.valid">{{'humanresources.attachNassaign' | translate}}</button>
                    </div>
                </form>
            </div>
            </div>
    </ng-template>
    
    <ng-template let-modal #action>
        <div>
        <div class="modal-header">
            <span class="fs-4">{{'humanresources.direct' | translate}}</span>
            <button class="btn-close float-end my-auto" (click)="close()"></button>
        </div>
        <div class="modal-body">
           <form [formGroup]="formDirect" (ngSubmit)="redirect()">    
                    <div class="">
                        <select class="form-select" formControlName="receiverId">
                            <option value="null">{{'humanresources.choose' | translate}}</option>
                            <option [value]="user.login" *ngFor="let user of users">{{getFullName(user)}}</option>
                        </select>
                    </div>
                <div class="my-3">
                    <textarea class="form-control" name="floatingTextarea2" id="floatingTextarea2" style="height: 100px;"></textarea>
                    <label for="floatingTextarea2">{{'humanresources.comment' | translate}}</label>
                </div>
                <div>
                    <button class="btn btn-dark" type="submit">{{'humanresources.direct' | translate}}</button>
                </div>
           </form> 
        </div>
        </div>
    </ng-template>